Request

Response

    Certificates
    GET

    certificate-agencies

    Retrieves a list of certifying agencies that are supported by BuildingConnected. New ones can be requested using this form.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/certificate-agencies
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    Query String Parameters

    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    limit
    int
    The maximum number of records that the endpoint may return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last page of a set is returned.

    Default value: 100

    filter[updatedAt]
    string
    The required range of dates and times during which the last update must have been made to the objects returned in the response, in ISO 8601 format.

    A single date and time takes this format: YYYY-MM-DDThh:mm:ss.SSSZ, A date and time range takes this format: YYYY-MM-DDThh:mm:ss.SSSZ..YYYY-MM-DDThh:mm:ss.SSSZ. Range queries can be closed or open in either direction: YYYY-MM-DDThh:mm:ss.SSSZ.. or ..YYYY-MM-DDThh:mm:ss.SSSZ.

    includeDeleted
    boolean
    Whether to include deleted certificate agencies in the response. Possible values:
    • true: (Default) Deleted agencies are included.
    • false: Deleted agencies are not included.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination details of a response.
    limit
    int
    The maximum number of records to return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last or only page is returned.
    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    The details of the returned certificate agencies.
    id
    string
    The unique ID of the certifying agency.

    Max length: 24

    name
    string
    A description or name of the certifying agency.
    website
    string
    The website of the certifying agency.
    updatedAt
    datetime: ISO 8601
    The most recent date that the certifying agency was added to the list or last updated.
    isDeleted
    boolean
    Indicates whether this certifying agency has been removed from the list of supported agencies. Possible values:
    • true: The agency has been removed from the list of supported agencies.
    • false: The agency remains on the list of supported agencies.

    Default: false.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/certificate-agencies?filter[updatedAt]=2020-05-01T06:00:00.000Z..' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
        "nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
      },
      "results": [
        {
          "id": "5b3f0a6e9d4fdda54845d690",
          "name": "Broward County Office of Economic and Small Business Development (Florida)",
          "website": "https://www.example.com",
          "updatedAt": "2021-01-08T13:00:00.000Z",
          "isDeleted": false
        }
      ]
    }
    
    Show More